Create Template
curl --request POST \
--url https://api.dugble.com/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Welcome email",
"alias": "welcome-email",
"category": "welcome",
"from": "Acme <hello@example.com>",
"subject": "Welcome, {{{FIRST_NAME}}}",
"html": "<h1>Welcome {{{FIRST_NAME}}}</h1>",
"variables": [
{
"key": "FIRST_NAME_CUSTOM",
"type": "string",
"fallback_value": "there"
}
]
}
'import requests
url = "https://api.dugble.com/templates"
payload = {
"name": "Welcome email",
"alias": "welcome-email",
"category": "welcome",
"from": "Acme <hello@example.com>",
"subject": "Welcome, {{{FIRST_NAME}}}",
"html": "<h1>Welcome {{{FIRST_NAME}}}</h1>",
"variables": [
{
"key": "FIRST_NAME_CUSTOM",
"type": "string",
"fallback_value": "there"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Welcome email',
alias: 'welcome-email',
category: 'welcome',
from: 'Acme <hello@example.com>',
subject: 'Welcome, {{{FIRST_NAME}}}',
html: '<h1>Welcome {{{FIRST_NAME}}}</h1>',
variables: [{key: 'FIRST_NAME_CUSTOM', type: 'string', fallback_value: 'there'}]
})
};
fetch('https://api.dugble.com/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"success": false,
"error": {
"code": "BAD_REQUEST",
"message": "<string>"
}
}Templates
Create Template
Creates a reusable email template and its initial draft version.
POST
/
templates
Create Template
Authorizations
Pass a Dugble team token in the Authorization header as Bearer . Team token secrets use the dgb_team_ prefix.
Headers
Optional idempotency key for mutation requests. Maximum 256 characters.
Maximum string length:
256Body
application/json
Required string length:
1 - 100Minimum string length:
1Available options:
otp, welcome, receipt, alert, notification, custom Maximum string length:
100Pattern:
^[A-Za-z0-9_-]+$Email address, optionally with a display name.
Maximum string length:
255Maximum array length:
50Show child attributes
Show child attributes